### Signal

# Xdp Portal::location-updated

#### Declaration

    void
    location_updated (
      XdpPortal* self,
      gdouble latitude,
      gdouble longitude,
      gdouble altitude,
      gdouble accuracy,
      gdouble speed,
      gdouble heading,
      gchar* description,
      gint64 timestamp_s,
      gint64 timestamp_ms,
      gpointer user_data
    )

#### Description [src]

Emitted when location monitoring is enabled and the location changes.

Default handler: | The default handler is called before the handlers added via `g_signal_connect()`.

#### Parameters

`latitude` | `gdouble`
| The latitude, in degrees.
`longitude` | `gdouble`
| The longitude, in degrees.
`altitude` | `gdouble`
| The altitude, in meters.
`accuracy` | `gdouble`
| The accuracy, in meters.
`speed` | `gdouble`
| The speed, in meters per second.
`heading` | `gdouble`
| The heading, in degrees.
`description` | `gchar*`
| The description.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`timestamp_s` | `gint64`
| The timestamp seconds since the Unix epoch.
`timestamp_ms` | `gint64`
| The microseconds fraction of the timestamp.